MacWrtProStructuresInternal::State Struct Reference documentation

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
MacWrtProStructuresInternal::State Struct Reference

Internal: the state of a MacWrtProStructures. More...

## Public Member Functions
| State ()
| constructor

## Static Public Member Functions
static bool | updateLineType (int lineType, MWAWBorder &border)
| try to set the line properties of a border

## Public Attributes
int | m_version
| the file version
int | m_numPages
| the number of pages
librevenge::RVNGBinaryData | m_inputData
| the input data
std::vector< Font > | m_fontsList
| the list of fonts
std::vector< Paragraph > | m_paragraphsList
| the list of paragraph
std::vector< Page > | m_pagesList
| the pages list (for MWII)
std::vector< Section > | m_sectionsList
| the list of section
std::vector< std::shared_ptr< Graphic > > | m_graphicsList
| the list of graphic
std::map< int, std::shared_ptr< Table > > | m_tablesMap
| a map graphic id -> table
std::map< int, std::shared_ptr< Graphic > > | m_idGraphicMap
| a map graphic id -> graphic
std::map< int, int > | m_headersMap
| a map page -> header id
std::map< int, int > | m_footersMap
| a map page -> footer id
std::set< MWAWVec2i > | m_graphicsSendSet
| a list of graphic use to avoid potential loop in bad file

## Detailed Description

Internal: the state of a MacWrtProStructures.

## Constructor & Destructor Documentation

## ◆ State()

MacWrtProStructuresInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ updateLineType()

static bool MacWrtProStructuresInternal::State::updateLineType | ( | int | lineType,
|  | MWAWBorder & | border )
| inlinestatic

try to set the line properties of a border

## Member Data Documentation

## ◆ m_fontsList

std::vector<Font> MacWrtProStructuresInternal::State::m_fontsList

the list of fonts

## ◆ m_footersMap

std::map<int, int> MacWrtProStructuresInternal::State::m_footersMap

a map page -> footer id

## ◆ m_graphicsList

std::vector<std::shared_ptr<Graphic> > MacWrtProStructuresInternal::State::m_graphicsList

the list of graphic

## ◆ m_graphicsSendSet

std::set<MWAWVec2i> MacWrtProStructuresInternal::State::m_graphicsSendSet

a list of graphic use to avoid potential loop in bad file

## ◆ m_headersMap

std::map<int, int> MacWrtProStructuresInternal::State::m_headersMap

a map page -> header id

## ◆ m_idGraphicMap

std::map<int, std::shared_ptr<Graphic> > MacWrtProStructuresInternal::State::m_idGraphicMap

a map graphic id -> graphic

## ◆ m_inputData

librevenge::RVNGBinaryData MacWrtProStructuresInternal::State::m_inputData

the input data

## ◆ m_numPages

int MacWrtProStructuresInternal::State::m_numPages

the number of pages

## ◆ m_pagesList

std::vector<Page> MacWrtProStructuresInternal::State::m_pagesList

the pages list (for MWII)

## ◆ m_paragraphsList

std::vector<Paragraph> MacWrtProStructuresInternal::State::m_paragraphsList

the list of paragraph

## ◆ m_sectionsList

std::vector<Section> MacWrtProStructuresInternal::State::m_sectionsList

the list of section

## ◆ m_tablesMap

std::map<int, std::shared_ptr<Table> > MacWrtProStructuresInternal::State::m_tablesMap

a map graphic id -> table

## ◆ m_version

int MacWrtProStructuresInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- MacWrtProStructures.cxx